<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">      
    <style>
        div {
            
        }
    
    </style>

</head>
<body>
    <h4>JavaScript 3</h4>
    <script>             
        function criarLista(){
           document.write("<ol>");        
            for(var x = 1; x <= 10; x++){             
                 document.write("<li>");
                 document.write("Item");        
                 document.write("</li>");        
             }
            document.write("</ol>");   
        }
        
        function criarAutocomplete(){
            
            document.write("<input list='browsers'>");
            document.write("<datalist id='browsers'>");

            for(var i = 1; i <=10; i++){
               document.write("<option value=" + i + ">");   
            }              
                  
            document.write("</datalist>");                  
        }        
    </script>  
    
    <input type="button" value="Criar lista 1" onclick="criarLista()" />
    
    <input type="button" value="Criar autocompletar" onclick="criarAutocomplete()" />
    
</body>
    
</html>